<?php
/* --------------------------------------------------------------
   dependent.inc.php 2014-07-15 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2014 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

// add ADMIN ACCESS
$t_check = $this->table_column_exists('admin_access', 'mobile_configuration');
if($t_check == false)
{
	$t_query = "ALTER TABLE `admin_access` ADD `mobile_configuration` INT( 1 ) NOT NULL DEFAULT '0'";
	$t_success &= $this->query($t_query);

	$t_query = "UPDATE `admin_access` SET `mobile_configuration` = '1' WHERE `customers_id` = '1' OR `customers_id` = 'groups'";
	$t_success &= is_numeric($this->query($t_query));		
}

// add MOBILE_TEMPLATE_ACTIVE
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_template_active'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_template_active', 'false')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_TEMPLATE
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_template'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_template', 'MobileCandy')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_LOGO
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_logo'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_logo', 'mobile_logo.png')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CONTENTS
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_contents'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_contents', '2,3,4,3889891,3889895')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_LANGUAGES
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_languages'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_languages', '2')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CURRENCIES
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_currencies'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_currencies', 'EUR')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_PAYMENT_MODULES
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_payment_modules'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_payment_modules', '')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_SLIDER
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_slider'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_slider', '0')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CONTENT_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_content_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_content_bg', '#FFFFFF')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CONTAINER_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_container_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_container_bg', '#F2F2F2')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_BORDER_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_border_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_border_color', '#DBDBDB')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_BORDER_COLOR_DARK
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_border_color_dark'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_border_color_dark', '#A4A4A4')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_BUTTON_BLUE_BG1
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_button_blue_bg_1'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_button_blue_bg_1', '#54BCD7')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_BUTTON_BLUE_BG2
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_button_blue_bg_2'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_button_blue_bg_2', '#396B9E')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_BUTTON_BLUE_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_button_blue_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_button_blue_color', '#FFFFFF')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CONTENT_COLOR_DARK
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_content_color_dark'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_content_color_dark', '#333333')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CONTENT_COLOR_MEDIUM
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_content_color_medium'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_content_color_medium', '#626262')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CONTENT_COLOR_LIGHT
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_content_color_light'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_content_color_light', '#A7A7A7')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CHECKOUT_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_checkout_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_checkout_bg', '#DBDBDB')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_CHECKOUT_SUM_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_checkout_sum_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_checkout_sum_bg', '#E5F9F1')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_CSS_PRICE_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_css_price_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_css_price_color', '#05869C')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CONTENT_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_content_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_content_bg', '#FFFFFF')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CONTAINER_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_container_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_container_bg', '#F2F2F2')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_BORDER_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_border_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_border_color', '#DBDBDB')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_BORDER_COLOR_DARK
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_border_color_dark'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_border_color_dark', '#A4A4A4')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_BUTTON_BLUE_BG1
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_button_blue_bg_1'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_button_blue_bg_1', '#54BCD7')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_BUTTON_BLUE_BG2
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_button_blue_bg_2'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_button_blue_bg_2', '#396B9E')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_BUTTON_BLUE_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_button_blue_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_button_blue_color', '#FFFFFF')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CONTENT_COLOR_DARK
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_content_color_dark'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_content_color_dark', '#333333')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CONTENT_COLOR_MEDIUM
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_content_color_medium'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_content_color_medium', '#626262')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CONTENT_COLOR_LIGHT
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_content_color_light'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_content_color_light', '#A7A7A7')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CHECKOUT_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_checkout_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_checkout_bg', '#DBDBDB')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_CHECKOUT_SUM_BG
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_checkout_sum_bg'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_checkout_sum_bg', '#E5F9F1')";
	$t_success &= (boolean) $this->query($t_query);
}

// add MOBILE_DEFAULT_CSS_PRICE_COLOR
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'mobile_default_css_price_color'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `gm_configuration` (`gm_key`, `gm_value`) VALUES ('mobile_default_css_price_color', '#05869C')";
	$t_success &= (boolean) $this->query($t_query);
}

// add Index - English - Content
$t_check = $this->query("SELECT `content_id` FROM `content_manager` WHERE `content_group` = '1010' AND `languages_id` = '1'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `content_manager` (`categories_id`, `parent_id`, `group_ids`, `languages_id`, `content_title`, `content_heading`, `content_text`, `sort_order`, `file_flag`, `content_file`, `content_status`, `content_group`, `content_delete`, `gm_link`, `gm_link_target`, `gm_priority`, `gm_changefreq`, `gm_last_modified`, `gm_sitemap_entry`, `gm_url_keywords`, `contents_meta_title`, `contents_meta_description`, `contents_meta_keywords`) VALUES(0, 0, '', 1, 'Index (MobileTemplate)', '', '', 0, 1, '', 0, 1010, 0, '', '_blank', '0.0', 'always', '2011-03-17 11:39:53', 0, '', '', '', '')";
	$t_success &= (boolean) $this->query($t_query);
}

// add Index - German - Content
$t_check = $this->query("SELECT `content_id` FROM `content_manager` WHERE `content_group` = '1010' AND `languages_id` = '2'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `content_manager` (`categories_id`, `parent_id`, `group_ids`, `languages_id`, `content_title`, `content_heading`, `content_text`, `sort_order`, `file_flag`, `content_file`, `content_status`, `content_group`, `content_delete`, `gm_link`, `gm_link_target`, `gm_priority`, `gm_changefreq`, `gm_last_modified`, `gm_sitemap_entry`, `gm_url_keywords`, `contents_meta_title`, `contents_meta_description`, `contents_meta_keywords`) VALUES(0, 0, '', 2, 'Index (MobileTemplate)', '', '', 0, 1, '', 0, 1010, 0, '', '_blank', '0.0', 'always', '2011-03-17 11:39:26', 0, '', '', '', '')";
	$t_success &= (boolean) $this->query($t_query);
}

// add Footer - English - Content
$t_check = $this->query("SELECT `content_id` FROM `content_manager` WHERE `content_group` = '1199' AND `languages_id` = '1'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `content_manager` (`categories_id`, `parent_id`, `group_ids`, `languages_id`, `content_title`, `content_heading`, `content_text`, `sort_order`, `file_flag`, `content_file`, `content_status`, `content_group`, `content_delete`, `gm_link`, `gm_link_target`, `gm_priority`, `gm_changefreq`, `gm_last_modified`, `gm_sitemap_entry`, `gm_url_keywords`, `contents_meta_title`, `contents_meta_description`, `contents_meta_keywords`) VALUES(0, 0, '', 1, 'Footer (MobileTemplate)', '', '', 0, 1, '', 0, 1199, 0, '', '_blank', '0.0', 'always', '2011-03-17 11:39:53', 0, '', '', '', '')";
	$t_success &= (boolean) $this->query($t_query);
}

// add Footer - English - Content
$t_check = $this->query("SELECT `content_id` FROM `content_manager` WHERE `content_group` = '1199' AND `languages_id` = '2'", true);
if($t_check->num_rows == 0)
{
	$t_query = "INSERT INTO `content_manager` (`categories_id`, `parent_id`, `group_ids`, `languages_id`, `content_title`, `content_heading`, `content_text`, `sort_order`, `file_flag`, `content_file`, `content_status`, `content_group`, `content_delete`, `gm_link`, `gm_link_target`, `gm_priority`, `gm_changefreq`, `gm_last_modified`, `gm_sitemap_entry`, `gm_url_keywords`, `contents_meta_title`, `contents_meta_description`, `contents_meta_keywords`) VALUES(0, 0, '', 2, 'Footer (MobileTemplate)', '', '', 0, 1, '', 0, 1199, 0, '', '_blank', '0.0', 'always', '2011-03-17 11:39:26', 0, '', '', '', '')";
	$t_success &= (boolean) $this->query($t_query);
}