<?php
/* --------------------------------------------------------------
   MobileCandyCheckoutPaymentModulesContentView.inc.php 2015-06-03 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2015 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   -------------------------------------------------------------- 
*/

/**
 * Class MobileCandyCheckoutPaymentModulesContentView
 */
class MobileCandyCheckoutPaymentModulesContentView extends MobileCandyCheckoutPaymentModulesContentView_parent
{
	/**
	 * @param array $methodsArray
	 */
	public function set_methods_array(array $methodsArray)
	{
		parent::set_methods_array($methodsArray);
		
		if(MOBILE_ACTIVE === 'true')
		{
			$allowedPaymentModules = explode('|', gm_get_conf('mobile_payment_modules'));

			foreach($this->methods_array as $key => $paymentMethod)
			{
				if(!in_array($paymentMethod['id'], $allowedPaymentModules))
				{
					unset($this->methods_array[$key]);
				}
			}
		}
	}
}