<?php
/* --------------------------------------------------------------
   MobileCandyCurrenciesBoxContentView.inc.php 2014-09-11 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2014 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

require_once(DIR_FS_INC . 'xtc_hide_session_id.inc.php');

class MobileCandyCurrenciesBoxContentView extends MobileCandyCurrenciesBoxContentView_parent
{
	protected function _setCurrenciesArray()
	{
		parent::_setCurrenciesArray();

		if(MOBILE_ACTIVE == 'true')
		{
			$allowedCurrencies = explode(',', gm_get_conf('mobile_currencies'));
			
			foreach($this->currenciesArray as $key => $currency)
			{
				if(!in_array($currency['id'], $allowedCurrencies))
				{
					unset($this->currenciesArray[$key]);
				}
			}
		}
	}
}