<?php
/* --------------------------------------------------------------
   MobileCandyLanguagesBoxContentView.inc.php 2014-09-11 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2014 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class MobileCandyLanguagesBoxContentView extends MobileCandyLanguagesBoxContentView_parent
{
	public function prepare_data()
	{
		parent::prepare_data();
		
		if(MOBILE_ACTIVE == 'true')
		{
			// GET ACTIVE LANGUAGES
			$t_languages_active_array = array();
			$t_languages_active_sql = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_languages"';
			$t_languages_active_result = xtc_db_query( $t_languages_active_sql );
			if( xtc_db_num_rows( $t_languages_active_result ) == 1 )
			{
				$t_languages_active_row = xtc_db_fetch_array( $t_languages_active_result );
				if( strpos( $t_languages_active_row['gm_value'], "," ) !== false )
				{
					$t_languages_active_array = explode( ",", $t_languages_active_row['gm_value'] );
				}
				else if( trim( $t_languages_active_row['gm_value'] ) != '' )
				{
					$t_languages_active_array[] = $t_languages_active_row['gm_value'];
				}
			}
			
			for($i = 0; $i < count($this->content_array['languages_data']); $i++)
			{
				if(in_array($this->content_array['languages_data'][$i]['ID'], $t_languages_active_array) == false)
				{
					unset($this->content_array['languages_data'][$i]);
				}
			}
			if(count($t_languages_active_array) < 2)
			{
				$this->build_html = false;
			}
		}
	}
}