#mobile_header {
	background: <?php echo $t_css_data_array['mobile_css_content_bg']; ?>;
	border: 0;
	position: fixed;
	top: 0;
	right: 0;
	left: 0;
	z-index: 1000;
	min-width: 320px;
}

.mobile_shop_link {
	display: block;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

.mobile_shop_logo {
	float: left;
	max-width: 140px;
	max-height: 40px;
	margin: 5px 15px 5px 10px;
}

.mobile_navigation {
	float: right;
	height: 50px;
	min-width:  153px;
}

.mobile_navigation a {
	width: 50px;
	height: 50px;
	border-left: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	display: block;
	float: right;
}

.mobile_navigation a:hover,
.mobile_navigation a.active {
	background-position: 0 10px;
}

#mobile_button_navi {
	width: 50px;
	height: 50px;
	border-left: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	display: block;
	float: right;
	background-image: url(img/menu-grau.png);
	background-repeat: no-repeat;
	background-size: 18px 18px;
	background-position: center center;
}

#mobile_button_navi.active,
#mobile_button_navi:hover,
#mobile_button_navi:active {
	background-image: url(img/menu-blau.png);
}

#mobile_button_search {
	width: 50px;
	height: 50px;
	border-left: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	display: block;
	float: right;
	background-image: url(img/lupe-grau.png);
	background-repeat: no-repeat;
	background-size: 18px 18px;
	background-position: center center;
}

#mobile_button_search.active,
#mobile_button_search:hover,
#mobile_button_search:active {
	background-image: url(img/lupe-blau.png);
}

#mobile_button_shopping_cart {
	background-image: url(img/shoppingcart-grau.png);
	background-repeat: no-repeat;
	background-size: 24px 24px;
	background-position: center center;
	position: relative;
	text-decoration: none !important;
}

#mobile_button_shopping_cart span {
	position: absolute;
	top: 8px;
	right: 8px;
	display: block;
	background: #c70909;
    border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
    height: 17px;
    min-width: 17px;
	line-height: 17px;
	color: #fff;
	font-weight: bold;
	text-align: center;
	font-size: 10px;
	text-decoration: none !important;
	box-shadow: 0px 0px 2px 3px #fff;
	-moz-box-shadow: 0px 0px 2px 3px #fff;
	-webkit-box-shadow: 0px 0px 2px 3px #fff;
}

#mobile_button_shopping_cart.active,
#mobile_button_shopping_cart:hover,
#mobile_button_shopping_cart:active {
	background-image: url(img/shoppingcart-blau.png);
}

#mobile_button_back {
	background-image: url(img/zurueck-grau.png);
	background-repeat: no-repeat;
	background-size: 18px 18px;
	background-position: center center;
}

#mobile_button_back.active,
#mobile_button_back:hover,
#mobile_button_back:active {
	background-image: url(img/zurueck-blau.png);
}

.mobile_navigation_container {
	display: none;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

.mobile_search_container {
	display: none;
	padding: 10px 20px 15px 20px;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	text-align: center;
}

.mobile_search_container div.ui-input-search {
	background-image: url(img/lupe-blau.png);
	background-repeat: no-repeat;
	background-position: right 9px center;
	background-size: 18px 18px;
	padding: 0 35px 0 15px;
}

.mobile_search_container a.button_advanced_search {
	background-color: transparent !important;
	font-weight: normal;
}

.mobile_search_container form div a {
	display: none;
}