.product_list_row {
	background: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color_dark']; ?>;
	font-size: 11px;
}

.product_list_row .product_list_row {
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color_dark']; ?>;
	border-bottom: 0;
}

.product_list_row.dark{
	background: <?php echo $t_css_data_array['mobile_css_checkout_bg']; ?>;
	font-size: 12px;
	padding: 15px 0;
	line-height: 30px
}

.product_list_row.sum{
	background: <?php echo $t_css_data_array['mobile_css_checkout_sum_bg']; ?>;
}

.product_list_row.headline{
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color_dark']; ?>;
	text-align: left !important;
}

.product_list_row.headline .product_list_column_3 {
	text-align: center !important;
	width: 85px;
	padding-right: 0;
}

.product_list_row.dark .bold{
	font-weight: bold;
}

.product_list_column_1 {
	width: 80px;
	padding-left: 5px;
	float: left;
}

.product_list_column_1 img {
	max-width: 80px;
	max-height: 80px;
}

.product_list_column_2 {
	margin: 0 125px 0 100px;
	width: auto;
}

.product_list_row .product_list_column_2 a,
.product_list_row .product_list_column_2 a:hover {
	display: block;
	line-height: 18px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?> !important;
	text-decoration: none;
	margin-bottom: 10px;
}

.product_list_row.dark .product_list_column_12 {
	text-align: right;
}

.product_list_column_3 {
	width: 105px;
	float: right;
	text-align: right;
	padding-right: 10px;
	display: block;
}

.product_list_element .product_list_column_2 {
	margin-right: 85px;
}

.product_list_element .product_list_column_3 {
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	padding: 0;
	width: 80px;
}

.product_list_column_12 {
	margin: 0 120px 0 0;
}

.product_list_column_23 {
	margin: 0 0 0 95px;
	position: relative;
}

.product_list_element {
	padding: 10px 0;
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	position: relative;
	min-height: 80px;
}

.product_list_element:nth-child(1) {
	border-top: 0;
}

.product_list_price {
	font-weight: bold;
	position: absolute;
	bottom: 10px;
	right: 10px;
	left: 0;
	text-align: center;
}

.order_confirm .product_list_price {
	text-align: right;
}

.errorText {
	padding: 10px 0;
	color: red;
}

.info_message {
	padding: 10px 0;
}

.quantity_wrapper {
	width: 60px;
	height: 27px;
	margin: 10px auto 0 auto;
	vertical-align: middle;
	position: relative;
}

.quantity_wrapper > span {
	height: 25px;
	display: inline-block; 
	line-height: 25px;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
	text-align: center;
	vertical-align: middle;
}

.quantity_wrapper > span.full div.ui-input-text {
	width: 100%;
}

.quantity_wrapper > span.full div.ui-input-text input {
	text-align: center;
}

.quantity_wrapper > span label,
.quantity_wrapper > span .ui-input-text {
	width: 50%;
	height: 25px;
	line-height: 25px;
	margin: 0;
	padding: 0;
	background: none;
	text-align: center;
	font-size: 13px;
	border: 0;
	vertical-align: middle;
}

.quantity_wrapper > span div.ui-input-text {
	width: 50%;
	display: block;
	float: left;
	vertical-align: middle;
}

.quantity_wrapper > span div.ui-input-text input {
	width: 100%;
	text-align: right;
	padding: 0;
	height: 25px;
	line-height: 25px;
	font-size: 13px;
}

.quantity_wrapper > span label {
	width: 50%;
	display: block;
	float: left;
	vertical-align: middle;
	text-align: left;
}

.button_cart_refresh {
	width: 18px;
	height: 18px;
	position: absolute;
	top: 42px;
	right: 45px;
	background: url( img/icon-refresh.gif ) no-repeat center center;
	background-size: 18px 18px;
}

.button_cart_delete {
	width: 18px;
	height: 18px;
	position: absolute;
	top: 42px;
	right: 15px;
	background: url( img/icon-delete.gif ) no-repeat center center;
	background-size: 18px 18px;
}

.product_list_column_3 input[type='checkbox'] {
	position: relative;
	margin: 10px 33px 0 0;
	top: 0;
	left: 0;
}

.shopping_cart_total_weight {
	text-align: right;
	margin: 10px;
}

/* override paypal ecs button positioning */

.checkout_button {
	text-align: center;
}

.paypal_ecs_button img {
	float: none !important;
	margin-right: 0 !important;
}