/* AttributesCheck.js <?php
#   --------------------------------------------------------------
#   AttributesCheck.js 2014-05-15 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2014 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

(function($){
    $.fn.AttributesCheck = function()
	{ 
		$(".details_attributes_dropdown").delegate("select", "change", function()
		{ 		
			if($(this).closest(".details_attributes_dropdown").is("#properties_selection_container") == false)
			{
				$.calculate_price();
				$.calculate_weight();
			}
		});
		
		if($(this).is("#properties_selection_container") == false)
		{
			$.calculate_price();
			$.calculate_weight();
		}
		
        return this;
    };  
})(jQuery);

$(document).ready(function(){
    if($(".details_attributes_dropdown").length > 0){
        $(".details_attributes_dropdown").AttributesCheck();
    }  
});