/* <?php
#   --------------------------------------------------------------
#   action_submit.js 2013-11-24 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2013 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

(function($){
    $.fn.action_submit = function()
	{
		$( this ).on( "click", function()
		{
			var form_elements = $( this ).closest( "form" ).find( "*[label]" );
			$.each(form_elements, function(key, value)
			{
				if( $.trim( $( value ).val() ) == $( value ).attr( "label" ) )
				{
					$( value ).val( "" );
				}
			});

			if($(this).hasClass('replace_form_action'))
			{
				var t_new_action_url = $(this).attr('href');
				if($(this).closest('form').length > 0)
				{
					$(this).closest('form').attr('action', t_new_action_url);
				}
			}

			$( this ).closest( "form" ).submit();
			return false;
		});
	};  
})(jQuery);