/* ButtonDetailsAddCartHandler.js <?php
#   --------------------------------------------------------------
#   ButtonDetailsAddCartHandler.js 2012-10-24 gm
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2012 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

function ButtonDetailsAddCartHandler()
{
	if(fb)console.log('ButtonDetailsAddCartHandler ready');
	
	this.init_binds = function()
	{
		if(fb)console.log('ButtonDetailsAddCartHandler init_binds');
		
		var coo_this = this; // handle for callback functions
		
		$(document).on('click', '.button_details_add_cart', function(event)
		{
			if(fb)console.log('.button_details_add_cart click');

			coo_this.do_ajax( $(this).closest('form') );

			return false;
		});

		$('.button_details_add_cart').closest('form').submit(function()
		{
			coo_this.do_ajax( $(this).closest('form') );

			return false;
		});
	}
	
	this.do_ajax = function( p_form )
	{
		var coo_this = this; // handle for callback functions

		var t_form_data = $(p_form).serialize();
		if(fb)console.log('t_form_data: '+ t_form_data);
		
		/* CHECK IF THERE ARE SITE EFFECTS WHEN THIS IS NOT ACTIVE
		if( $( ".details_attributes_dropdown option[value='0']:selected" ).length > 0 )
		{
			$.each( $( ".details_attributes_dropdown option[value='0']:selected" ), function( key, value ){
				$( value ).closest( ".propertie_container" ).find(".propertie_not_selected").show();
			});
			$(document).scrollTop(0);
			return false;
		}*/

		var t_url = 'request_port.php?module=buy_now';

		$.ajax({
			url: t_url,
			type: 'POST',
			dataType: 'json',
			data: t_form_data,
			success: function(p_result_json)
					{
						if(fb)console.log('show_details: ' + p_result_json.show_details);
						// redirect to cart
						document.location.href = '<?php echo xtc_href_link(FILENAME_SHOPPING_CART, "", "NONSSL"); ?>';
					},
			error: function()
					{
						$( document ).scrollTop(0);
					}
		});
	}

	this.init_binds();
}

ButtonDetailsAddCartHandler();