<?php

/* --------------------------------------------------------------
   BreadcrumbContentView.inc.php 2015-04-07 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2015 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   -------------------------------------------------------------- 
*/

class BreadcrumbContentView extends ContentView
{
	protected $breadcrumb;


	public function __construct()
	{
		parent::__construct();

		$this->set_content_template('module/breadcrumb.html');
	}


	public function prepare_data()
	{
		$this->set_content_data('breadcrumb', $this->breadcrumb->_trail);
		$this->set_content_data('BREADCRUMB_HTML', $this->breadcrumb->trail());
	}
	

	/**
	 * @param \breadcrumb $breadcrumb
	 */
	public function setBreadcrumb(breadcrumb $breadcrumb)
	{
		$this->breadcrumb = $breadcrumb;
	}
}