<?php
/* --------------------------------------------------------------
   MobileCandyCategoriesBoxContentView.inc.php 2014-10-24 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2014 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class MobileCandyCategoriesBoxContentView extends MobileCandyCategoriesBoxContentView_parent
{
	public function prepare_data()
	{
		if(MOBILE_ACTIVE == 'true')
		{
			$t_group_permission = '';
			if( GROUP_CHECK == 'true' )
			{
				$t_group_permission = ' AND group_permission_' . $_SESSION['customers_status']['customers_status_id'] . '="1"';
			}

			$t_categories = array();
			$t_sql = 'SELECT * FROM categories AS c, categories_description AS cd WHERE c.categories_id = cd.categories_id' . $t_group_permission . ' AND c.categories_status = "1"  AND c.parent_id = "' . $p_cPath . '" AND cd.language_id = "' . $_SESSION['languages_id'] . '" ORDER BY c.sort_order, cd.categories_name';
			$t_result = xtc_db_query( $t_sql );

			$coo_gmSEOBoost	= MainFactory::create_object('GMSEOBoost');

			while( $t_row = xtc_db_fetch_array( $t_result ) )
			{
				$t_categories[ $t_row['categories_id'] ] = $t_row;
				if( $coo_gmSEOBoost->boost_categories )
				{
					$t_categories[ $t_row['categories_id'] ][ 'categories_link' ] = xtc_href_link($coo_gmSEOBoost->get_boosted_category_url($t_row['categories_id'], $_SESSION['languages_id']));
				}
				else
				{
					$t_categories[ $t_row['categories_id'] ][ 'categories_link' ] = xtc_href_link(FILENAME_DEFAULT, xtc_category_link( $t_row['categories_id'], $t_row['categories_name']));
				}				
			}

			$this->set_content_data('categories_array', $t_categories);
		}
		else
		{
			parent::prepare_data();
		}
	}
}