<?php
/* --------------------------------------------------------------
   MobileCandyShoppingCartContentView.inc.php 2015-06-02 gm
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2015 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   -------------------------------------------------------------- 
*/

class MobileCandyShoppingCartContentView extends MobileCandyShoppingCartContentView_parent
{
	public function prepare_data()
	{
		parent::prepare_data();

		if(MOBILE_ACTIVE == 'true')
		{
			$t_active_modules_result = xtc_db_query( 'SELECT * FROM gm_configuration WHERE gm_key="mobile_payment_modules"' );
			if( xtc_db_num_rows( $t_active_modules_result ) == 1 )
			{
				$t_module_row = xtc_db_fetch_array( $t_active_modules_result );
				if( strpos( $t_module_row['gm_value'], 'paypalexpress' ) === false )
				{
					$this->set_content_data('BUTTON_PAYPAL', false);
				}
				if(strpos( $t_module_row['gm_value'], 'paypalng' ) !== false )
				{
					$this->set_content_data('BUTTON_PAYPAL', true);
				}
			}
		}
	}
}