<?php

define('DIR_WS_BOXES', DIR_FS_CATALOG .'templates/'.CURRENT_TEMPLATE. '/source/boxes/');

# $coo_template_control created in application_top.php
include(DIR_WS_BOXES.'categories.php');
include(DIR_WS_BOXES.'content.php');
include(DIR_WS_BOXES.'currencies.php');
include(DIR_WS_BOXES.'languages.php');
include(DIR_WS_BOXES.'countries.php');
include(DIR_WS_BOXES.'search.php');
include(DIR_WS_BOXES.'footer.php');
include(DIR_WS_BOXES.'slider.php');
include(DIR_WS_BOXES.'box_mobile_index.php');

function str_replace_once($haystack, $needle, $replace){
    if (($pos = strpos($haystack, $needle)) === false) {
      return $haystack;
    }
    return substr_replace($haystack, $replace, $pos, strlen($needle));
}

$filename = basename(preg_replace('/.php/', '', $_SERVER['SCRIPT_NAME']));

$coo_listing_control = MainFactory::create_object('ProductListingContentControl');
$coo_listing_control->set_('c_path', $GLOBALS['cPath']);
$coo_listing_control->set_('coo_filter_manager', $_SESSION['coo_filter_manager']);
$coo_listing_control->set_('current_category_id', $GLOBALS['current_category_id']);
$coo_listing_control->set_('customers_status_id', $_SESSION['customers_status']['customers_status_id']);
$category_depth = $coo_listing_control->determine_category_depth();

if ($filename == 'index' && $category_depth == 'products'){
	$page = 'product_listing';
}elseif ($filename == 'index' && $category_depth == 'nested'){
	$page = 'categorie_listing';
}elseif ($filename == 'index' && $category_depth == 'top'){
	if ($_GET['manufacturers_id']) {
		$page = 'manufacturers_product_listing';
	}else{
		$page = 'index';
	}
}elseif ($filename == 'shop_content' && $_GET['coID'] != ''){
	$page = 'shop_content';
}elseif (strstr($filename, 'checkout')){
	$page = 'checkout';
}else{
	$page = $filename;
}

$this->set_content_data('page', $page);

$t_mobile_logo = '';
$t_mobile_logo_sql = 'SELECT * FROM gm_configuration WHERE gm_key = "mobile_logo"';
$t_mobile_logo_result = xtc_db_query( $t_mobile_logo_sql );

if( xtc_db_num_rows( $t_mobile_logo_result ) == 1 )
{
	$t_mobile_logo_row = xtc_db_fetch_array( $t_mobile_logo_result );
	$t_mobile_logo = 'images/logos/' . $t_mobile_logo_row[ 'gm_value' ];
}

$this->set_content_data('mobile_logo', $t_mobile_logo);

$t_products_in_shopping_cart = 0;

if( isset( $_SESSION['cart'] ) )
{
	if( isset( $_SESSION['cart']->contents ) )
	{
		$t_products_in_shopping_cart = count( $_SESSION['cart']->contents );
	}
}

$c_default_template = '';
$configuration_query = xtc_db_query('select configuration_key as cfgKey, configuration_value as cfgValue from '.TABLE_CONFIGURATION.' WHERE configuration_key = "CURRENT_TEMPLATE"');
while ($configuration = xtc_db_fetch_array($configuration_query)) {
	if( file_exists( DIR_FS_CATALOG . 'templates/' . $configuration['cfgValue'] ) )
	{
		$c_default_template = $configuration['cfgValue'];
	}
}

if( $c_default_template != $_SESSION[ 'tpl' ] )
{
    $t_current_url = xtc_href_link( basename( $_SERVER["SCRIPT_NAME"] ), 'tpl=' . $c_default_template . '&' . xtc_get_all_get_params( array( 'tpl' ) ) );
	$this->set_content_data('default_template_link', str_replace( "&amp;=", '', $t_current_url ));
}

$this->set_content_data('products_in_shopping_cart', $t_products_in_shopping_cart);

$this->set_content_data('tpl_path', 'templates/'.CURRENT_TEMPLATE.'/');