.shipping_container {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	margin-bottom: 15px;
	position: relative;
}

.shipping_container.active {
	background: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
}

.shipping_container .ui-radio {
	position: absolute;
	top: 50%;
	left: 10px;
	margin-top: -6px;
}

.shipping_container .ui-radio input {
	margin: 0;
	padding: 0;
	width: 13px;
	height: 13px;
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
}

.shipping_container .caption {
	width: 70%;
	float: left;
	padding: 30px 0;
	margin: 0;
}

.order_payment .shipping_container .caption {
	width: 95%;
	float: left;
	padding: 30px 0;
	margin: 0;
}

.shipping_container .caption > div {
	margin-left: 35px;
}

.shipping_container .caption .title {
	color: <?php echo $t_css_data_array['mobile_css_price_color']; ?>;
	font-weight: bold;
}

.shipping_container .price {
	width: 30%;
	float: left;
	text-align: center;
	color: <?php echo $t_css_data_array['mobile_css_price_color']; ?>;
	padding: 30px 0;
}

#checkout_gift_container {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	padding: 15px 10px 15px 35px;
	position: relative;
	background: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

.checkout_checkbox_confirm {
	border: 1px solid red;
	padding: 15px 10px 15px 35px;
	position: relative;
	background: #fecccb;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

.checkout_checkbox_confirm .ui-checkbox {
	left: 10px;
    margin-top: -7px;
    position: absolute;
    top: 50%;
}

.checkout_checkbox_confirm .ui-checkbox input {
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	margin: 0;
	position: absolute;
}

.checkout_confirmation_links {
	margin: 20px 0;
	line-height: 20px;
}

#content_checkout .checkout_confirmation_links a,
#content_checkout .checkout_confirmation_links a:hover {
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	text-decoration: underline;
	font-size: 12px;
	font-weight: normal;
	background: url(img/icons/icon-grey-arrowright.png) no-repeat 0 2px;
	padding-left: 15px;
}

#content_checkout .content_container .paypal-text {
	display: block;
	float: left;
	margin: 2px 0 0 0;
}
#content_checkout .content_container .paypal-logo {
	display: block;
	float: right;
}

#checkout_payment a.ui-collapsible-heading-toggle.ui-btn {
	height:      50px;
	line-height: 50px;
}

#checkout_payment #comments_textarea {
	background-color: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
	border:           1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-radius:    0px;
}

#checkout_payment .checkout_checkbox_confirm .ui-checkbox input {
	margin: -4px 0px 0px;
}

.order_confirm .product_list_row.dark:last-child {
	background: <?php echo $t_css_data_array['mobile_css_checkout_sum_bg']; ?>;
	border-bottom: 0;
}

.block_adress .ui-radio input {
	position: relative;
	margin: 0;
	left: 0;
}

td.address_selection div {
	float: inherit !important;
}

td.address_selection .ui-radio .ui-btn {
	border-radius: 0;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	font-size: 13px;
	font-weight: normal;
	padding: 10px 0 10px 15px;
}

td.address_selection .ui-radio .ui-btn.ui-radio-on {
	background: <?php echo $t_css_data_array['mobile_css_checkout_bg']; ?>;
}

td.address_selection .ui-radio .ui-btn::after {
	display: none;
}

td.address_selection .ui-radio input[type=radio] {
	display: none;
}

.shipping_container {
	padding-right: 25px;
}

.shipping_container div.caption div {
	width: auto !important;
}

.klarna_consent .ui-checkbox label {
	font-size: 13px;
	font-weight: normal;
	padding-top: 10px;
	padding-bottom: 10px;
}

.klarna_consent .ui-checkbox label::after {
	display: none;
}

.klarna_consent .ui-checkbox input[type=checkbox] {
	z-index: 2;
}
.content_container #addressBookWidgetDiv .widget-container, 
.content_container #walletWidgetDiv .widget-container {
	height: auto !important;
	min-height: 400px;
	width: auto !important;
}

.content_container #readOnlyAddressBookWidgetDiv .widget-container,
.content_container #readOnlyWalletWidgetDiv .widget-container {
	width: auto !important;
}

/* #################################### ADDITIONAL STYLING FOR TRUSTED SHOPS ######################################## */

.ts_form .ui-btn,
.ts_protection .ui-btn {
	border-radius: 0;
	line-height: 50px;
}

.ts_protection .ui-btn {
	background-color: <?php echo $t_css_data_array['mobile_css_content_bg']; ?> /*{d-bup-background-color}*/;
	border-color:     <?php echo $t_css_data_array['mobile_css_border_color']; ?> /*{d-bup-border}*/;
	color:            <?php echo $t_css_data_array['mobile_css_content_color_light']; ?> /*{d-bup-color}*/;
	text-shadow:      none;
}

.ts_form .ui-btn:active,
.ts_protection .ui-btn:active,
.ts_form .ui-btn.active,
.ts_protection .ui-btn.active,
.ts_form .ui-btn:focus,
.ts_protection .ui-btn:focus,
.ts_form .ui-btn.ui-focus,
.ts_protection .ui-btn.ui-focus {
	-webkit-box-shadow: 0 0 12px #387bbe;
	-moz-box-shadow:    0 0 12px #387bbe;
	box-shadow:         0 0 12px #387bbe;
}

.checkout_success_trusted .ts_bpclassic {
	padding-right: 15px;
}

/* ################################# STYLING FOR POSTFINDER MODULE ################################################## */

.pfinder_top .pfinder_form .ui-btn {
	border-radius: 0;
	line-height: 50px;
	margin-top: 30px;
	padding: 0;
}

.pfinder_top .address_book {
	text-align: center;
}

.pfinder_top .address_book .abook_entry {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	display: block;
	line-height: 1.6em;
	margin: 20px 0 0 0;
	padding: 5px;
	text-align: left;
}

.pfinder_top .address_book .abook_entry .ui-btn.ui-mini {
	float: none;
	margin: 5px 0;
	width: auto;
}

.responsive-table {
	width: 100%;
	margin-bottom: 1.5em;
}

.responsive-table tbody,
.responsive-table tr,
.responsive-table th,
.responsive-table td {
	display: block;
	padding: 0;
	text-align: left;
	white-space: normal;
}

.responsive-table th,
.responsive-table td {
	padding: .75em .5em;
	vertical-align: middle;
}

.responsive-table tbody {
	display: table-row-group;
}

.responsive-table tbody tr {
	margin-bottom: 1em;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

.responsive-table tbody tr:last-of-type {
	margin-bottom: 0;
}

.responsive-table tbody th[scope="row"] {
	background-color: transparent;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	text-align: left;
}

.responsive-table tbody td {
	text-align: right;
}

.responsive-table tbody td[data-title]:before {
	content: attr(data-title);
	float: left;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
}

.responsive-table tbody td[data-title].pf_postnumber:before {
	margin-top: 15px;
}

.responsive-table tbody td[data-title].pf_postnumber form {
	display: inline-block;
	width: 50%;
}

.pf_postnumber form .ui-input-text input {
	line-height: 20px;
	text-align: center;
}

.pf_postnumber form .ui-btn {
	border-radius: 0;
	line-height: 30px;
	padding: 0;
}

/* ##################################### STYLING FOR PAYMENT MODULE SEPA ############################################ */

.shipping_container .input .ui-input-text input[name="sepa_owner"].gm_class_input,
.shipping_container .input .ui-input-text input[name="sepa_iban"].gm_class_input,
.shipping_container .input .ui-input-text input[name="sepa_bic"].gm_class_input,
.shipping_container .input .ui-input-text input[name="sepa_bankname"].gm_class_input {
	background-color:<?php echo $t_css_data_array['mobile_css_content_bg']; ?>;
	width: 100% !important;
}

/* ##################################### STYLING FOR PAYPAL PLUS MODULE ############################################# */

.order_payment #checkout_payment div.items div.ppplus_payment_item {
	border: none;
}

.order_payment #checkout_payment div.items div.ppplus_payment_item .caption {
	width: 99% !important;
}

.order_payment #checkout_payment div.items div.ppplus_payment_item .caption > div {
	margin-left: 15px;
}

.order_payment #checkout_payment div.items div.ppplus_payment_item {
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?> !important;
}

#ppplus_continue.ppplus_continue_button {
	float:         none !important;
	text-align:    center;
	text-overflow: ellipsis;
}

#ppplus_continue.ppplus_continue_button a {
	background-color: <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?> /*{b-bup-background-color}*/;
	border:           1px solid <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>;
	color:            <?php echo $t_css_data_array['mobile_css_button_blue_color']; ?>;
	cursor:           pointer;
	display:          block;
	font-family:      "Open Sans",Arial,sans-serif;
	font-size:        14px;
	font-weight:      bold;
	height:           50px;
	line-height:      50px;
	margin:           0.5em 0;
	overflow:         hidden;
	padding:          0 15px;
	position:         relative;
	text-shadow:      none;
	text-decoration:  none !important;
	white-space:      nowrap;
	-moz-user-select: none;
	background-image: -webkit-gradient(linear, left top, left bottom, from( <?php echo $t_css_data_array['mobile_css_button_active_bg_1']; ?>), to( <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>)); /* Saf4+, Chrome */
	background-image: -webkit-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* Chrome 10+, Saf5.1+ */
	background-image: -moz-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* FF3.6 */
	background-image: -ms-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* IE10 */
	background-image: -o-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* Opera 11.10+ */
	background-image: linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>);
}

#ppplus_continue.ppplus_continue_button a:focus,
#ppplus_continue.ppplus_continue_button a:active {
	-webkit-box-shadow: 0 0 12px #387bbe;
	-moz-box-shadow:    0 0 12px #387bbe;
	box-shadow:         0 0 12px #387bbe;
	outline:            none;
}

/* ##################################### STYLING FOR AGB AND WRB BOXES ############################################# */

.miscellaneous-container {
	height:           200px;
	overflow-y:       auto;
	border-radius:    2px;
	border:           1px solid #DBDBDB;
	background-color: #F2F2F2;
	padding:          9px 12px;
	opacity:          1;
	font-family:      "Open Sans",Arial,sans-serif;
	font-size:        13px;
}