#content_product_info .product_data {
	line-height: 36px;
	font-size: 13px;
}

#content_product_info .product_data .product_data_key {
	width: 100px;
	display: inline-block;
	vertical-align: top;
}

#content_product_info .price-container {
	padding: 15px 20px;
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

#content_product_info #gm_attr_calc_price {
	color: <?php echo $t_css_data_array['mobile_css_price_color']; ?>;
	font-size: 25px;
} 

#content_product_info .productOldPrice {
	font-size: 14px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
}

#content_product_info .article_list .productOldPrice {
	font-size: 10px;
}

#content_product_info .gm_products_vpe {
	font-size: 14px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
}

#content_product_info .article_list .gm_products_vpe {
	font-size: 10px;
}

#content_product_info .gm_shipping_link {
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	text-decoration: none;
	font-weight: normal;
}

#content_product_info #details_qty_advice,
#content_product_info #details_products_weight {
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	text-align: center;
	font-size: 13px;
}

#content_product_info #details_qty_advice.error {
	color: red;
}

#content_product_info .quantity_wrapper {
	width: 100%;
	height: 52px;
	margin: 0 auto;
	vertical-align: middle;
}

#content_product_info .quantity_wrapper .quantity_changer_less,
#content_product_info .quantity_wrapper .quantity_changer_more {
	width: 60px;
	height: 50px;
	display: inline-block; 
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	vertical-align: middle;
}

#content_product_info .quantity_wrapper .quantity_changer_less {
	background: transparent url(img/minus-grau.png);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 25px;
	float: left;
	border-right: 0;
}

#content_product_info .quantity_wrapper .quantity_changer_more {
	background: transparent url(img/plus-grau.png);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: 25px;
	float: right;
	border-left: 0;
}

#content_product_info .quantity_wrapper > span {
	width: auto;
	height: 50px;
	display: block; 
	margin: 0 61px;
	line-height: 50px;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	background: <?php echo $t_css_data_array['mobile_css_content_bg']; ?>;
	text-align: center;
	font-size: 45px;
	font-weight: bold;
	vertical-align: middle;
}

#content_product_info .quantity_wrapper > span.full div.ui-input-text {
	width: 100%;
}

#content_product_info .quantity_wrapper > span.full div.ui-input-text input {
	text-align: center;
}

#content_product_info .quantity_wrapper > span * {
	width: 50%;
	height: 50px;
	line-height: 50px;
	margin: 0;
	padding: 0;
	background: none;
	text-align: center;
	font-size: 22px;
	border: 0;
	vertical-align: middle;
}

#content_product_info .quantity_wrapper > span div.ui-input-text {
	width: 50%;
	display: block;
	float: left;
	vertical-align: middle;
}

#content_product_info .quantity_wrapper > span div.ui-input-text input {
	width: 100%;
	text-align: right;
}

#content_product_info .quantity_wrapper > span label {
	width: 50%;
	display: block;
	float: left;
	vertical-align: middle;
	text-align: left;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

#content_product_info #product_tabs_group {
	margin: 0;
}

#content_product_info #product_tabs_group .ui-collapsible {
	margin: 0;
}

#content_product_info #product_tabs_group .ui-collapsible-heading-toggle {
	border-right: 0;
	border-left: 0;
	border-bottom: 0;
}

#content_product_info #product_tabs_group .ui-collapsible-heading-toggle.ui-btn {
	padding-left: 10px;
}

#content_product_info #product_tabs_group .ui-collapsible-heading-toggle.ui-btn.ui-btn-c {
	font-size:     13px;
	font-weight:   normal;
	height:        50px;
	line-height:   50px;
}

#content_product_info #product_tabs_group .ui-collapsible-heading-toggle.ui-btn.ui-btn-inherit {
border-color:   <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
border-top:     0;
color:          <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
font-size:      13px;
font-weight:    normal;
height:         50px;
line-height:    50px;
}

#content_product_info #product_tabs_group .tab_element {
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

#content_product_info #product_tabs_group .tab_element:last-child {
	border-bottom: 0;
}

#content_product_info #product_tabs_group .content_container {
	padding-top: 15px;
	padding-bottom: 15px;
}

#content_product_info #gm_price_offer {
	margin: 0;
	border-top: 0;
}

#content_product_info .blockpricing {
	display: inline-block;
}

#content_product_info .ui-collapsible-content {
	border-bottom: 0;
	border-right: 0;
	border-left: 0;
}

#content_product_info .ui-collapsible-heading .ui-btn-text {
	font-weight: normal;
}

#content_product_info .tab_element .ui-collapsible-content .content_container {
	border-bottom: 0;
}

#content_product_info .ui-collapsible-content .article_list {
	margin-bottom: 0;
}

#content_product_info .ui-collapsible-content  .article_list a {
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-bottom: 0;
}

#content_product_info .ui-collapsible-content .article_list a:nth-child(1) {
	border-top: 0;
}

#content_product_info .details_attributes_dropdown .ui-field-contain {
	vertical-align: middle;
}

#content_product_info .details_attributes_dropdown label {
	display: block;
	margin: 0;
	padding: 0;
	vertical-align: middle;
	font-size: 13px;
}

#content_product_info .tab_element .content_container {
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	font-size: 13px;
}

#content_product_info .product_media a {
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
	text-decoration: none;
}

#content_product_info .product_review_list  .content_container {
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

#content_product_info .product_review_list  .content_container:nth-child(1) {
	border-top: 0;
}

#content_product_info .gallery {
	overflow: hidden;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	padding: 0 10px 15px 10px;
	margin-bottom: 20px;
}    

#content_product_info .gallery .big_img {
	text-align: center;
}

#content_product_info .gallery .big_img img {
	max-width: 98%;
	max-height: 400px;
	margin-bottom: 10px;
}

#content_product_info .gallery .thumbnails {
	text-align: center;
	vertical-align: top;
}

#content_product_info .gallery .thumbnails .thumbnail {
	display: inline-block;
	margin: 0 5px 10px;
	width: 52px;
	height: 52px;
	vertical-align: top;
}

#content_product_info .gallery .thumbnails .thumbnail img {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	max-width: 50px;
	max-height: 50px;
	vertical-align: top;
}

#properties_not_available_error,
#properties_not_exist_error {
	display: none;
	color: red;
}

.properties_images {
	margin-top: 36px;
	text-align: center;
}

#gm_attribute_images img,
.properties_images img {
	max-width: 98%;
	max-height: 400px;
}

#content_product_info .button_details_add_cart.inactive {
	opacity: 0.3;
	
}