/* ButtonPayPalExpressHandler.js <?php
#   --------------------------------------------------------------
#   ButtonPayPalExpressHandler.js 2014-06-07 gm
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2014 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

function ButtonPayPalExpressHandler()
{
	var t_error = false;
	var t_check = true;
	
	$('.checkout_checkbox_confirm input[type="checkbox"]').each(function()
	{
		if($(this).closest(".checkout_checkbox_confirm").hasClass("optional") == false)
		{
			if($(this).prop('checked') == false)
			{
				t_error = true;
			}
		}
	});

	if(t_error == true)
	{
		$(document).scrollTop(0);
		return false;
	}
	
	if($('#checkout_confirmation').length > 0)
	{
		if($(this).hasClass('replace_form_action'))
		{
			if(fb)console.log('replace_form_action found!');
			// submit button needs own action url
			var t_new_action_url = $(this).attr('href');
			if($('#checkout_confirmation').length > 0)
			{
				$('#checkout_confirmation').attr('action', t_new_action_url);
			}
		}

		// TODO: better solution for executing onsubmit functions
		//       and regarding return value -> stop submit in false-case
		if(typeof($('#checkout_confirmation').attr('onsubmit')) == 'string')
		{
			if(fb)console.log('found onsubmit in form-tag!');

			var t_onsubmit = $('#checkout_confirmation').attr('onsubmit').replace('return ', '');
			var t_onsubmit_return = eval(t_onsubmit);

			if(fb)console.log('onsubmit evaluated');

			if(t_onsubmit_return == false)
			{
				if(fb)console.log('onsubmit returns: false');

				return false;
			}
			else if(t_onsubmit_return == true)
			{
				if(fb)console.log('onsubmit returns: true');
			}

		}

		// submit form
		$('#checkout_confirmation').submit();
	}
	else
	{
		if(fb)console.log('no form found!');
	}

	return false;
}

$(document).ready(function(){
	$( ".paypal_action_submit" ).on( "click", ButtonPayPalExpressHandler );
});