/* ProductTabsConvert.js <?php
#   --------------------------------------------------------------
#   ProductTabsConvert.js 2014-10-23 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2014 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------

$coo_text_mgr = MainFactory::create_object('LanguageTextManager', array('mobile_template', $_SESSION['languages_id']));

?>*/
function ProductTabsConvert()
{
	if(fb)console.log('ProductTabsConvert ready');

	this.init_binds = function()
	{
		if(fb)console.log('ProductTabsConvert init_binds');

        var t_tabs_html_array = new Array;

        if( $( "#tabbed_description_part" ).length == 1 )
        {
            var t_counter = 0;

            var t_tab_headlines = new Array();
            $.each( $( "#tabbed_description_part .ui-tabs-nav li a[href*='#tab_fragment_']" ), function( t_key, t_value ){
                t_tab_headlines.push( $(t_value).html() );
            } );
            var t_tab_contents = new Array();
            $.each( $( "#tabbed_description_part div[id*='tab_fragment_']" ), function( t_key, t_value ){
                t_tab_contents.push( $(t_value).html() );
            } );
            $.each( t_tab_headlines, function(t_key, t_value){
                t_tabs_html_array.push( '<div data-role="collapsible" data-inset="false" data-iconpos="right" class="tab_element" data-theme="c"><h3>' + t_value + '</h3><div class="content_container">' + t_tab_contents[t_counter] + '</div></div>' );
                t_counter = t_counter + 1;
            });

            $( "#tabbed_description_part" ).remove();
        }

        if( $.trim( $( "#description-1" ).text() ) != "" || $( "#description-1 img" ).length > 0 )
        {
            $( ".description.tabs" ).before( '<div data-role="collapsible" data-inset="false" data-iconpos="right" class="tab_element" data-theme="c"><h3><?php echo $coo_text_mgr->get_text("products_description_headline"); ?></h3><div class="content_container">' + $( "#description-1" ).html() + '</div></div>' );
        }

        $.each( t_tabs_html_array, function(t_key, t_value){
            $( ".description.tabs" ).before( t_value );
        });
        $( ".description.tabs" ).remove();
    }

    this.init_binds();
};

$(document).ready(function(){
    ProductTabsConvert();
});