/* <?php
#   --------------------------------------------------------------
#   image_slider.js 2013-11-24 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2013 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

jQuery.extend(
{
	image_slider: function() 
	{
		if ($('#image_slider').length > 0)
		{
			var t_timeout = 4000;
			if($("input[name='slider_speed']").length == 1 && $("input[name='slider_speed']").val() != 0)
			{
				t_timeout = $("input[name='slider_speed']").val();
			}
			var t_continuous = true;
			if( $( "#content_product_info" ).length == 1 )
			{
				t_timeout = 0;
				t_continuous = false;
			}

			if( $('#image_slider a').length > 1 )
			{
				$(window).load(function(){
					window.mySwipe = new Swipe(document.getElementById('image_slider'), {
						startSlide: 0,
						speed: 300,
						auto: t_timeout,
						continuous: t_continuous
					});
				});
			}

			if( $( "#content_product_info" ).length == 1 )
			{		
				var myPhotoSwipe;
				$(window).load(function(){
					myPhotoSwipe = $("#image_slider a").photoSwipe({
						jQueryMobile: true,
						loop: false,
						enableMouseWheel: false,
						enableKeyboard: false
					});
				});

				$( "#image_slider" ).on('click', 'a', function(){   
					var t_index = $( "#image_slider a" ).index( $( this ) );
					myPhotoSwipe.show( t_index );      
				});
			}
		}
		
		$( "#content_product_info .gallery .thumbnails .thumbnail a" ).on( "click", function(){
			var t_index = $( "#content_product_info .gallery .thumbnails .thumbnail a" ).index( $( this ) );
			window.mySwipe.slide( t_index, 300 );
			return false;
		});
	}
});