/* <?php
#   --------------------------------------------------------------
#   quantity_changer.js 2013-11-24 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2013 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/
$.fn.quantity_changer = function(){

	var t_use_comma = false;
	var t_input = $( this ).closest( ".quantity_wrapper" ).find( "input" );

	// GET MIN QUANTITY
	var t_quantity_min = 1;
	if( $( ".quantity_min_order" ).length > 0 )
	{
		t_quantity_min = $( ".quantity_min_order" ).text().replace(",", ".");  
		t_quantity_min = +t_quantity_min;
	}

	// GET QUANTITY STEPS
	var t_quantity_steps = 1;
	if( $( ".quantity_steps" ).length > 0 )
	{
		t_quantity_steps = $( ".quantity_steps" ).text().replace(",", ".");  
		t_quantity_steps = +t_quantity_steps;
		if($(".quantity_steps").text().indexOf(",") >= 0)
		{
			t_use_comma = true;
		}
	}
	// RESET ERROR
	$( "#details_qty_advice" ).removeClass( "error" );

	// GET QUANTITY
	var t_quantity = t_input.val().replace(",", ".");   
	t_quantity = +t_quantity;

	if($(this).hasClass("quantity_changer_less"))
	{
		t_quantity = (Math.round(t_quantity * 10000) - Math.round(t_quantity_steps * 10000)) / 10000; 
	}
	if($(this).hasClass("quantity_changer_more"))
	{
		t_quantity = (Math.round(t_quantity * 10000) + Math.round(t_quantity_steps * 10000)) / 10000; 
	}

	// CHECK QUANTITY
	if(t_quantity < t_quantity_min || Math.round(t_quantity * 10000)%(Math.round(t_quantity_steps * 10000)) != 0 )
	{
		t_quantity = t_quantity_min;
		$( "#details_qty_advice" ).addClass( "error" );
	}

	// SET NEW QUANTITY
	t_input.val( t_quantity );
	if(t_use_comma)
	{
		t_input.val( t_input.val().replace(".", ",") );  
	}
};