/* ButtonWishListToCartHandler.js <?php
#   --------------------------------------------------------------
#   ButtonWishListToCartHandler.js 2011-01-24 gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2011 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

function ButtonWishListToCartHandler()
{
	this.init_binds = function()
	{
		if(fb)console.log('ButtonWishListToCartHandler init_binds');

		$('.button_wish_list_to_cart').on('click', function()
		{
			if(fb)console.log('.button_wish_list_to_cart click');
			
			var t_error = false;
			$.each( $(".product_list_element"), function(key, value){
				var t_text = $.trim( $( value ).find( ".quantity_check_error" ).html() );
				if( t_text != "" )
				{
					t_error = true;
				}
			});
			
			if( t_error )
			{
				$(document).scrollTop(0);
				return false;
			}

			document.cart_quantity.submit_target.value = "wishlist";
			var t_target = document.cart_quantity.action;
			t_target = t_target.replace(/update_product/, "wishlist_to_cart");
			document.cart_quantity.action = t_target;
			document.cart_quantity.submit();

			return false;
		});
	}

	this.init_binds();
}

$(document).ready(function(){
	ButtonWishListToCartHandler();
});