@font-face {
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 400;
	src: local('Open Sans'), local('OpenSans'), url(https://fonts.gstatic.com/s/opensans/v10/cJZKeOuBrn4kERxqtaUH3VtXRa8TVwTICgirnJhmVJw.woff2) format('woff2'), url(https://fonts.gstatic.com/s/opensans/v10/cJZKeOuBrn4kERxqtaUH3T8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
}


.class_error_message {
	color: #ff0000;
	font-size: 10px;
	font-weight: bold;
}

div.copyright{
	display: none;
}

td.errorBox{
	display: none;
}

.clear_both {
	clear: both;
}

.display-after-load {
	height: auto !important;
	overflow: auto !important;
}

#breadcrumb_navi {
	display: block;
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	padding: 7px 10px;
	font-weight: normal;
	font-size: 11px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_light']; ?>;
	background: <?php echo $t_css_data_array['mobile_css_content_bg']; ?>;
}

#breadcrumb_navi a {
	text-decoration: none;
	font-weight: normal;
	color: <?php echo $t_css_data_array['mobile_css_content_color_light']; ?>;
}

#mobile_content_wrapper {
	margin: 51px 0 0 0;
	overflow: hidden;
	position: relative;
	padding: 0;
}

.mobile_content_container {
	background: <?php echo $t_css_data_array['mobile_css_content_bg']; ?>;
	padding: 20px 0;
}

#page_index .mobile_content_container {
	padding: 0;
}

.content_container {
	padding: 0 10px 25px 10px;
}

.login_container {
	margin: 20px;
	overflow: hidden;
}

.login_container .button_conatiner {
	margin: 20px;
}

.login_container .button_container .default_template_link {
	margin: 10px auto;
}

#footer_container {
	border: 0;
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	text-align: center;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
	text-shadow: none;
	font-size: 11px;
	padding: 20px 0;
}

#footer_container a {
	text-decoration: none;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

.require_info {
	font-size: 12px;
	margin-right: 15px;
	margin-bottom: 10px;
}

.tax-shipping-text {
	font-size: 11px;
}

span.label {
	font-weight: bold;
}

h1, h2, h3, h4 {
	margin-top: 0;
}

h1 {
	font-size: 17px;
	padding-left: 10px;
	margin-bottom: 20px;
}

h2 {
	font-size: 15px;
}

h2 img {
	margin-right: 8px;
}

.align_left {
	text-align: left !important;
}

.align_center {
	text-align: center !important;
}

.align_right {
	text-align: right !important;
}

.error_message {
	color: red;
}

.underline {
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	padding: 0 10px 5px 10px;
}

.popup_content .content_text {
	padding: 0 10px;
}

#menubox_languages {
	margin-bottom: 10px;
}

.bg_container {
	background: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
}

.bottom_container {
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

#page_index .content_container{
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}



.swipe {
  overflow: hidden;
  visibility: hidden;
  position: relative;
}
.swipe-wrap {
  overflow: hidden;
  position: relative;
}
.swipe-wrap > div {
  float:left;
  width:100%;
  position: relative;
}

iframe {
	width: 100%;
}

.shipping_and_payment_matrix_container {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	background: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
	padding: 5px;
	margin-bottom: 10px;
}

.abroad_shipping_info_link
{
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

.withdrawal_pdf_download_link
{
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
}

.account_history_info .content_container .ui-checkbox.ui-disabled input{
	float: left;
	left: 0;
	position: relative;
	margin: 3px 5px 3px 0px;
}

.account_history_info .content_container a{
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
}

.shipping_costs_block a{
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
}

.quantity_container .ui-input-text input.products_quantity.gm_cart_data {
	padding-bottom: 3px;
}

.ui-collapsible-heading .ui-collapsible-heading-toggle.ui-icon-minus,
.ui-collapsible-heading .ui-collapsible-heading-toggle.ui-icon-minus:hover {
	background-color: <?php echo $t_css_data_array['mobile_css_container_bg']; ?>;
}

.ui-input-text {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-radius: 0px;
}

.ui-input-text #vvcode_input.input-text {
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
	font-size: 13px;
	height: 50px;
	padding: 0 0 0 15px;
}

.ui-input-text #vvcode_input.input-text:focus {
	-webkit-box-shadow: 0 0 12px #387bbe;
	-moz-box-shadow:    0 0 12px #387bbe;
	box-shadow:         0 0 12px #387bbe;
}

/* ============================================ Styling for findologic search ======================================= */

.flChosenFilters,
.flFilters {
	list-style: outside none none;
	padding: 0px;
}

.flFilter {
	postion: relative;
}

#flFilterContainer strong {
	font-size: 17px;
	padding-left: 10px;
	display: block;
	margin-bottom: 20px;
}

.flFilter:focus,
.flFilter:actve,
.flFilter .ui-focus,
.flChosenFilters li:focus,
.flChosenFilters li:active,
.flChosenFilters li .ui-focus {
	-webkit-box-shadow: 0 0 12px #387bbe;
	-moz-box-shadow:    0 0 12px #387bbe;
	box-shadow:         0 0 12px #387bbe;
	z-index: 2;
}

.flChosenFilters .ui-link,
.flFilter .ui-link {
	background-color: <?php echo $t_css_data_array['mobile_css_content_bg'] ?>;
	border-top: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	color: <?php echo $t_css_data_array['mobile_css_content_color_dark'] ?>; !important;
	cursor: pointer;
	display: block;
	font-size: 14px;
	height: 50px;
	line-height: 50px;
	margin: 0;
	overflow: hidden;
	padding: 0 15px;
	position: relative;
	text-align: center;
	text-decoration: none !important;
	text-shadow: none;
	white-space: nowrap;
	
	-moz-user-select: none;
}

.flChosenFilters li:last-child .ui-link,
.flFilter:last-child .ui-link {
	border-bottom: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
}

.flChosenFilters .ui-link:focus,
.flFilter .ui-link:focus,
.flChosenFilters .ui-link:active,
.flFilter .ui-link:active,
.flChosenFilters .ui-link.ui-focus,
.flFilter .ui-link.ui-focus {
	-webkit-box-shadow: 0 0 12px #387bbe;
	-moz-box-shadow:    0 0 12px #387bbe;
	box-shadow:         0 0 12px #387bbe;
}

.flChosenFilters .ui-link span {
	padding-right: 5px;
}

.flFilter .ui-checkbox {
	display: none;
}

/* =============================================== STYLING FOR NEWSLETTER PAGE ======================================= */

div.input.sign_in_out {
margin: 50px 0 50px 0;
}

div.input.sign_in_out .ui-radio {
float: inherit !important;
}

div.input.sign_in_out .ui-radio .ui-btn {
border-radius: 0;
border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
color: <?php echo $t_css_data_array['mobile_css_content_color_dark']; ?>;
font-size: 13px;
font-weight: normal;
padding: 10px 0 10px 15px;
}

div.input.sign_in_out .ui-radio .ui-btn.ui-radio-on {
background: <?php echo $t_css_data_array['mobile_css_checkout_bg']; ?>;
}

div.input.sign_in_out .ui-radio .ui-btn::after {
display: none;
}

div.input.sign_in_out .ui-radio input[type=radio] {
display: none;
}

/* ================================= SHOP OFFLINE MASSAGES (POPUP/TOPBAR) =========================================== */

.topbar_wrapper {
	min-height: 18px;
	padding: 11px 32px;
	position: relative;
}

.topbar_notification {
	font-weight: bold;
	text-align: center;
	display: table-cell;
	vertical-align: middle;
}

.hide_topbar_notification {
	cursor: pointer;
	display: table-cell;
	vertical-align: middle;
}

.hide_topbar_notification::before {
	background-color: <?php echo $t_css_data_array['mobile_css_content_bg'] ?>;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-radius: 2px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
	content: "×";
	display: block;
	font-size: 21px;
	font-weight: bold;
	height: 22px;
	width: 19px;
	padding-bottom: 4px;
	padding-left: 6px;
	position: relative;
	left: 50%;
}

.popup_notification {
	box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.6);
	width: 92.5%;
	max-width: 500px;
	margin: 10% auto 15px;
	padding: 0px;
	position: relative;
	top: -15px;
	z-index: 10000;
}

.popup_notification .hide_popup_notification .icon_lightbox_close {
	float: right;
	text-decoration: none;
}

.popup_notification .hide_popup_notification .icon_lightbox_close::before {
	content: "×";
	color: <?php echo $t_css_data_array['mobile_css_button_blue_color']; ?>;
	font-size: 24px;
	font-weight: bold;
}

.cookie-bar {
	display: none;
	min-height: 18px;
	padding: 11px 32px;
	position: relative;
}

.cookie-bar .content {
	font-weight: bold;
	text-align: center;
	display: table-cell;
	vertical-align: middle;
	width: 100%;
}

.cookie-bar .content .button {
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-radius: 2px;
	padding: 5px 15px;
	margin-left: 15px;
	text-decoration: none;
}

.cookie-bar .close-button {
	cursor: pointer;
	display: table-cell;
	vertical-align: middle;
}

.cookie-bar .close-button::before {
	background-color: <?php echo $t_css_data_array['mobile_css_content_bg'] ?>;
	border: 1px solid <?php echo $t_css_data_array['mobile_css_border_color']; ?>;
	border-radius: 2px;
	color: <?php echo $t_css_data_array['mobile_css_content_color_medium']; ?>;
	content: "×";
	display: block;
	font-size: 21px;
	font-weight: bold;
	height: 22px;
	left: 50%;
	margin-bottom: -15px;
	padding-bottom: 4px;
	padding-left: 6px;
	position: relative;
	width: 19px;
}

.dialog_header {
	background-color: <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>;
	border:           0;
	border-color:     <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>;
	border-radius:    0;
	color:            <?php echo $t_css_data_array['mobile_css_button_blue_color']; ?>;
	height:           30px;
	text-shadow:      none;
	background-image: -webkit-gradient(linear, left top, left bottom, from( <?php echo $t_css_data_array['mobile_css_button_active_bg_1']; ?>), to( <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>)); /* Saf4+, Chrome */
	background-image: -webkit-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* Chrome 10+, Saf5.1+ */
	background-image: -moz-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* FF3.6 */
	background-image: -ms-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* IE10 */
	background-image: -o-linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>); /* Opera 11.10+ */
	background-image: linear-gradient( <?php echo $t_css_data_array['mobile_css_button_blue_bg_1']; ?>, <?php echo $t_css_data_array['mobile_css_button_blue_bg_2']; ?>);
	padding-left:     15px;
	padding-right:    15px;
}

.dialog_header .ui-btn.ui-icon-delete {
	border: 0;
	border-radius: 0;
}

.dialog_header .ui-btn.ui-icon-delete.ui-btn-right::after {
	margin-top: -15px;
}

.dialog_content {
	background-color: <?php echo $t_css_data_array['mobile_css_content_bg'] ?>;
	border-radius: 0;
	padding: 15px;
}

/* ====================================== PRIVACY CHECKBOXES STYLING ================================================ */

.privacy_container {
	display: table;
}

.privacy_container .ui-checkbox {
	display:       table-cell;
	padding-right: 20px;
	width:         22px
}

.privacy_container .privacy_text {
	display: table-cell;
}